Bug 1410466 (CVE-2016-10057) - CVE-2016-10057 ImageMagick: Buffer overflow in CALS coder
Summary: CVE-2016-10057 ImageMagick: Buffer overflow in CALS coder
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2016-10057
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1410515
Blocks: 1410453
TreeView+ depends on / blocked
 
Reported: 2017-01-05 14:59 UTC by Andrej Nemec
Modified: 2019-09-29 14:03 UTC (History)
13 users (show)

Fixed In Version: ImageMagick 6.9.5
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-22 04:28:54 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-01-05 14:59:16 UTC
A buffer overflow vulnerability was found in ImageMagick in the coders/tiff.c file. A maliciously crafted file could cause the application to crash or possibly have other impact.

References:

http://seclists.org/oss-sec/2016/q4/758
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=836172

Upstream patch:

https://github.com/ImageMagick/ImageMagick/commit/10b3823a7619ed22d42764733eb052c4159bc8c1

Comment 1 Andrej Nemec 2017-01-05 16:14:17 UTC
Created ImageMagick tracking bugs for this issue:

Affects: fedora-all [bug 1410515]


Note You need to log in before you can comment on or make changes to this bug.